Recaudo Docs

Account

Team

Check the active members of your team

List team members

GET /v1/team

Returns all active members of your team. Useful to get agent IDs when assigning conversations or follow-ups.

Request example
curl https://recaudo.app/api/v1/team \
  -H "Authorization: Bearer sk_live_tu_secret_key" \
  -H "Content-Type: application/json"
Response
{
  "object": "list",
  "data": [
    {
      "id": "01234567-89ab-cdef-0123-456789abcdef",
      "name": "María López",
      "email": "maria@empresa.com",
      "phone": "+5215512345678",
      "job_title": "Gerente de Cobranza",
      "status": "active"
    },
    {
      "id": "98765432-10fe-dcba-9876-543210fedcba",
      "name": "Carlos Ramírez",
      "email": "carlos@empresa.com",
      "phone": "+5215598765432",
      "job_title": "Agente de Soporte",
      "status": "active"
    }
  ]
}

Get the account and what's left to set up

GET /v1/account

The business, the person behind the token with their role (null with an API key) and the setup status: done and pending steps with their link, card payments, WhatsApp, AI agents, team and templates. Used by the desktop app and the MCP get_account_setup tool.

Request example
curl https://recaudo.app/api/v1/account \
  -H "Authorization: Bearer sk_live_tu_secret_key"
Response
{
  "object": "account",
  "tenant": { "id": "4f1c…", "name": "Mi Negocio", "country": "MX", "currency": "MXN", "timezone": "America/Mexico_City" },
  "user": { "id": "9a2e…", "name": "María López", "email": "maria@empresa.com", "role": "admin" },
  "setup": {
    "progress": "60%",
    "steps": [
      { "key": "whatsapp", "label": "Conectar WhatsApp", "done": true, "url": "https://recaudo.app/admin/settings/whatsapp" },
      { "key": "gateway", "label": "Activa cobros con tarjeta", "done": false, "url": "https://recaudo.app/admin/settings/gateways" }
    ],
    "next_step": { "key": "gateway", "label": "Activa cobros con tarjeta", "done": false, "url": "https://recaudo.app/admin/settings/gateways" },
    "whatsapp_connected": true,
    "team_members": 4,
    "message_templates": 6
  }
}
Was this page helpful? Thanks for letting us know.
Esc